#!C:\Programs\Python\pythonw.exe
# -*- coding: cp1251 -*-


# PyNews
# news.py file {top|archive|all} n


from __future__ import absolute_import

import sys


"""Outputs a nice HTML red err box and quits.
"""
def sayerr(text):
    print """<div style="border: red 1px solid; background: #FCC;
        padding: 5px; color: black">
        <strong>PyNews</strong>: """ + text + "</div>"
    sys.exit(0)

"""Prints the news.
"""
def printnews(thefile, mode, param_count):
    try:
        fd = open(thefile, "r")
    except:
        sayerr("no such file %s" % thefile)
        
    news = fd.read().split("[#]")
    fd.close()
    
    if mode == "top":
        start = 1
        end = param_count + 1
    elif mode == "all":
        start = 1
        end = len(news)
    elif mode == "archive":
        start = param_count + 1
        end = len(news)
    else:
        sayerr("mode not implemented")

    if start > end:
        print "<p>   .</p>"
        
    for n in news[start:end]:
        the = n.split("[>]")
        print '<p class="pynews_date">' + the[0] + '</p>'
        print '<ul class="pynews_list">'
        for k in the[1:]:
            print '<li>' + k + '</li>'
        print '</ul>'

if __name__ == '__main__':
    if len(sys.argv) < 4:
        #sayerr("not enough arguments")
        pass
    
    try:
        param_count = int(sys.argv[3])
    except:
        sayerr("count is not int")
        
    printnews(sys.argv[1], sys.argv[2], param_count)
